GDB (xrefs)

Public Attributes | List of all members
_frame_smob Struct Reference

## Public Attributes
eqable_gdb_smob | base
struct frame_id | frame_id
struct gdbarch * | gdbarch
struct inferior * | inferior
int | frame_id_is_next

## Detailed Description

Definition at line 38 of file scm-frame.c.

## Member Data Documentation

## ◆ base

eqable_gdb_smob _frame_smob::base

Definition at line 41 of file scm-frame.c.

Referenced by frscm_free_frame_smob(), and frscm_scm_from_frame().

## ◆ frame_id

struct frame_id _frame_smob::frame_id

Definition at line 43 of file scm-frame.c.

Referenced by frscm_eq_frame_smob(), frscm_frame_smob_to_frame(), frscm_hash_frame_smob(), frscm_make_frame_smob(), frscm_print_frame_smob(), and frscm_scm_from_frame().

## ◆ frame_id_is_next

int _frame_smob::frame_id_is_next

Definition at line 67 of file scm-frame.c.

Referenced by frscm_frame_smob_to_frame(), and frscm_make_frame_smob().

## ◆ gdbarch

struct gdbarch* _frame_smob::gdbarch

Definition at line 44 of file scm-frame.c.

Referenced by frscm_make_frame_smob(), and gdbscm_frame_arch().

## ◆ inferior

struct inferior* _frame_smob::inferior

Definition at line 57 of file scm-frame.c.

Referenced by frscm_eq_frame_smob(), frscm_free_frame_smob(), frscm_get_frame_smob_arg_unsafe(), frscm_hash_frame_smob(), frscm_make_frame_smob(), frscm_mark_frame_invalid(), frscm_scm_from_frame(), gdbscm_frame_newer(), and gdbscm_frame_older().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-frame.c